# Class GenerateSchemeFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>
org.gradle.plugins.ide.api.XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>
org.gradle.ide.xcode.tasks.GenerateSchemeFileTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateSchemeFileTask extends XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>
Task for generating a Xcode scheme file (e.g. `Foo.xcodeproj/xcshareddata/xcschemes/Foo.xcscheme`). An Xcode scheme defines a collection of targets to build, a configuration to use when building, and a collection of tests to execute.

You can have as many schemes as you want, but only one can be active at a time. You can include a scheme in a project—in which case it’s available in every workspace that includes that project, or in the workspace—in which case it’s available only in that workspace.

This task is used in conjunction with `GenerateXcodeProjectFileTask`.

Since:
  4.2
See Also:
  - `XcodeProject`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateSchemeFileTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile schemeFile)`
  `protected org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile`
  `create()`
  `File`
  `getInputFile()`
  The input file to load the initial configuration from.
  `XcodeProject`
  `getXcodeProject()`
  `void`
  `setXcodeProject(XcodeProject xcodeProject)`

  ### Methods inherited from class XmlGeneratorTask

  `getXmlTransformer`

  ### Methods inherited from class GeneratorTask

  `generate, getIncremental, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateSchemeFileTask

    public GenerateSchemeFileTask()

- ## Method Details

  - ### getXcodeProject

    @Internal public XcodeProject getXcodeProject()

  - ### setXcodeProject

    public void setXcodeProject(XcodeProject xcodeProject)

  - ### configure

    protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile schemeFile)
    Specified by:
      `configure` in class `XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>`

  - ### getInputFile

    public File getInputFile()
    Description copied from class: `GeneratorTask`
    The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
    Overrides:
      `getInputFile` in class `GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>`
    Returns:
      The input file.

  - ### create

    protected org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile create()
    Specified by:
      `create` in class `XmlGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeSchemeFile>`